package com.zsc.edu.gateway.modules.iot.tsl.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zsc.edu.gateway.modules.iot.tsl.dto.ParamDto;
import com.zsc.edu.gateway.modules.iot.tsl.entity.Param;

import java.util.List;

/**
 * @author zhuang
 */
public interface ParamService extends IService<Param> {

    Boolean create(List<ParamDto> params, Long id, Param.ForeignType foreignType);

    Boolean update(List<ParamDto> paramDto, Long id);

    Boolean delete(Long id);
}
